<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>File: README</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href="../.././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



  <div id="fileHeader">
    <h1>README</h1>
    <table class="header-table">
    <tr class="top-aligned-row">
      <td><strong>Path:</strong></td>
      <td>doc/README
      </td>
    </tr>
    <tr class="top-aligned-row">
      <td><strong>Last Update:</strong></td>
      <td>Wed Nov 07 17:02:44 -0500 2007</td>
    </tr>
    </table>
  </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">

    <div id="description">
      <h1>README</h1>
<p>
The command-line time tracking application.
</p>
<p>
Miscellaneous Stories:
</p>
<pre>
 - The application should round times to the nearest 15 minute increment
 - The application should round total hours to the nearest hour
  - Working 5 hours 29 minutes =&gt; 5 hours
  - Working 5 hours 30 minutes =&gt; 6 hours
 - The application should allow multiple in/out times in one day (out for lunch/costco)
 - Running in/out multiple times on the same day overwrites previous values
</pre>
<p>
Sets today&#8216;s time in to 9 AM and adds 2 items
</p>
<pre>
  day in --at &quot;9 AM&quot; &quot;Iteration planning&quot; &quot;Commitment meeting&quot;
</pre>
<p>
Sets today&#8216;s time in to right now and adds 1 items
</p>
<pre>
  day in &quot;Iteration planning&quot;
</pre>
<p>
Starts tracking time now without adding any items
</p>
<pre>
  day in
</pre>
<p>
Shows today&#8216;s in/out times, total hours, and recorded work items
</p>
<pre>
  day ls
</pre>
<p>
Shows yesterday&#8216;s in/out times, total hours, and recorded work items
</p>
<pre>
  day ls ^1
</pre>
<p>
Shows a previous relative day&#8216;s in/out times, total hours, and
recorded work items
</p>
<pre>
  day ls --date &quot;7 days ago&quot;
</pre>
<p>
Shows an absolute previous day&#8216;s in/out times, total hours, and
recorded work items
</p>
<pre>
  day ls --date &quot;October 15&quot;
</pre>
<p>
Sets today&#8216;s out time to right now
</p>
<pre>
  day out
</pre>
<p>
Sets today&#8216;s out time to 6:30 PM
</p>
<pre>
  day out --at &quot;6:30 PM&quot;
</pre>
<p>
Sets today&#8216;s out time to 6:30 PM and adds some more items
</p>
<pre>
  day out --at &quot;6:30 PM&quot; &quot;Closed ticket #12345&quot; &quot;Fixed production issue with search&quot;
</pre>
<p>
Prompts to delete the record for 5 days ago
</p>
<pre>
  day rm &quot;5 days ago&quot;
</pre>
<p>
Deletes the record for 5 days ago without prompting
</p>
<pre>
  day rm &quot;5 days ago&quot; --force
</pre>
<p>
Print each day of the current week
</p>
<pre>
  week
</pre>
<p>
Print last week
</p>
<pre>
  week ^1
</pre>
<p>
Print 2 weeks ago
</p>
<pre>
  week ^2
</pre>
<p>
Print the week of October 10
</p>
<pre>
  week --of &quot;October 10&quot;
</pre>
<p>
Print the work week for 7 days ago
</p>
<pre>
  week &quot;7 days ago&quot;
</pre>
<p>
Prompt to delete last week
</p>
<pre>
  week rm ^1
</pre>
<p>
Delete last week without prompting
</p>
<pre>
  week rm ^1 --force
</pre>

    </div>


   </div>


  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>